org.apache.catalina.tribes

## Interface Heartbeat

All Known Subinterfaces:
  ChannelInterceptor, ChannelReceiver, ChannelSender

All Known Implementing Classes:
  AbstractReplicatedMap, BioReceiver, ChannelCoordinator, ChannelInterceptorBase, CloudMembershipProvider, DNSMembershipProvider, DomainFilterInterceptor, EncryptInterceptor, FragmentationInterceptor, GroupChannel, GzipInterceptor, KubernetesMembershipProvider, LazyReplicatedMap, MessageDispatchInterceptor, NioReceiver, NonBlockingCoordinator, OrderInterceptor, ReceiverBase, ReplicatedMap, ReplicationTransmitter, SimpleCoordinator, StaticMembershipInterceptor, StaticMembershipProvider, TcpFailureDetector, TcpPingInterceptor, ThroughputInterceptor, TwoPhaseCommitInterceptor

    public interface Heartbeat

Can be implemented by the ChannelListener and Membership listeners to receive heartbeat notifications from the Channel

Version:
  1.0
See Also:
  `Channel`, `Channel.heartbeat()`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `heartbeat()` Heartbeat invocation for resources cleanup etc

### Method Detail

#### heartbeat

    void heartbeat()

Heartbeat invocation for resources cleanup etc